extends ../components/layout/layout.pug
include ../components/blocks/order/order.pug
include ../components/blocks/data-table/data-table.pug
include ../components/blocks/report/report-nav/report-nav.pug
include ../components/blocks/report/report-form/report-form.pug
include ../components/layout/right-bar/right-bar.pug
include ../components/blocks/car/car.pug
include ../components/blocks/car/car-edit/car-edit.pug

block vars
    - var htmlclasses = "html_report-add"

block metaog

block metaseo
    +headMetaSeo(head.main)

block append body
    +right-bar()

block append page
    .section.section_default
        .section__content
            .section__header
                .section__title
                    h1 Редактирование отчёта
            .section__body
                .report-edit
                    .report-edit__nav
                        +report-nav(reportNav1)
                    .report-edit__content
                        form.report-form.report-form_edit
                            .report-form__header
                                h2.report-form__title 1. Общая информация
                            .report-form__body
                                .report-group
                                    .report-group__header
                                        h3.report-group__title Поиск автомобиля по VIN
                                    .report-group__body
                                        .report-car-attachment
                                            .report-car-attachment__field
                                                .car-form__item.car-form__item_vin
                                                    .control.control_default.control_m
                                                        input(type="text")
                                            .report-car-attachment__results(style="display:none")
                                                +car_tile(true)
                                                +car_tile(true)
                                                .report-car-attachment__msg.msg.msg_warning.msg_l.ta_center(style="display:none")
                                                    p.mb_xs Автомобиль с указанным VIN не найден
                                                    .btn.btn_s.btn_default.btn_inline
                                                        .btn__title Добавить автомобиль
                                            script.
                                                $(".car__btn-chose").on("click", function () {
                                                    $(this).closest('.car').toggleClass('car_active');
                                                });
                                                $(".report-car-attachment__msg .btn").on("click", function () {
                                                    $(".report-group_car-add").show();
                                                });
                                                $(".report-car-attachment__field input").on("keyup", function () {
                                                    $(".report-car-attachment__results").show();
                                                    if ($(this).val() === "1") {
                                                        $(".report-car-attachment__results .car").show();
                                                        $(".report-car-attachment__msg").hide();
                                                    } else {
                                                        $(".report-car-attachment__results .car").hide();
                                                        $(".report-car-attachment__msg").show();
                                                    }
                                                });
                                .report-group.report-group_car-add(style="display:none")
                                    .report-group__header
                                        h3.report-group__title Добавление автомобиля
                                    .report-group__body
                                        +car-edit()
                                .report-group.report-group_report-gallery(style="display:none")
                                    .report-group__header
                                        h3.report-group__title Галерея отчёта
                                    .report-group__body
                                        .dropzone
                                            .dropzone__area
                                                .dropzone__btn Нажмите или перетащите файлы
                                            .dropzone__gallery
                            .report-form__footer
                                button.btn.btn_m.btn_primary
                                    .btn__grid
                                        .btn__title Продолжить
                            script.
                                $(document).ready(function () {
                                    var topBarHeight = $('.top-bar').height();
                                    $('.report-edit__progress').stick_in_parent({
                                        parent: '.report-edit__content',
                                        offset_top: topBarHeight
                                    })
                                        .on('sticky_kit:stick', function () {
                                            $('.report-edit__step').appendTo('.top-bar');
                                        })
                                        .on('sticky_kit:unstick', function () {
                                            $('.report-edit__step').insertAfter('.report-edit__header h2');
                                        });
                                });
                                $(document).on('mq_tablet', function () {
                                    $('.report-nav').trigger('sticky_kit:detach').appendTo('.right-bar__content');
                                });
                                $(document).on('mq_tablet_', function () {
                                    $('.report-nav').appendTo('.report-edit__nav').stick_in_parent({offset_top: 40});

                                });
